//==========================================================================
//
//      lpce2294_misc.c
//
//      HAL misc board support code for Olimex LPC-H2294 header board
//
//==========================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
// Copyright (C) 2006 eCosCentric Limited 
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//==========================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):    igiv sg
// Contributors: 
// Date:         2006-04-26
// Purpose:      HAL board support
// Description:  Implementations of HAL board interfaces
//
//####DESCRIPTIONEND####
//
//========================================================================*/

#include <pkgconf/hal.h>
#include <cyg/hal/hal_io.h>	// IO macros

#include <cyg/infra/cyg_type.h>	// base types
#include <cyg/hal/var_io.h>

extern void cyg_hal_plf_serial_init (void);

#ifdef CYGHWR_HAL_ARM_LPCE2294_DIAG_LEDS

/* Control the LED BAKC LIGHT connected to P0.10. */

void
hal_lpce2294_set_leds (int mask)
{
    HAL_WRITE_UINT32 (CYGARC_HAL_LPC2XXX_REG_IO_BASE +
		      CYGARC_HAL_LPC2XXX_REG_IO0SET, (1 << 10));
    if (mask & 1)
	HAL_WRITE_UINT32 (CYGARC_HAL_LPC2XXX_REG_IO_BASE +
			  CYGARC_HAL_LPC2XXX_REG_IO0CLR, (1 << 10));
}
#else
void
hal_lpce2294_set_leds (int mask)
{
}
#endif // CYGHWR_HAL_ARM_LPCE2294_DIAG_LEDS

void
cyg_hal_plf_comms_init (void)
{
    static int initialized = 0;

    if (initialized)
	return;
    initialized = 1;

    cyg_hal_plf_serial_init ();
}

//--------------------------------------------------------------------------
// EOF lpce2294_misc.c
