#! /bin/bash
#
# This script is used to build the Redboot flavors for the Olimex LPC-E2294
# header board.
#
# Usage:
#	REDBOOT_CFG={RAM,ROM} build_redboot.sh

test -z $ECOS_REPOSITORY && source $HOME/ecos/ecosenv.sh

TARGET=lpce2294
#VERSION=current
VERSION=v1_0

test -z $REDBOOT_CFG && export REDBOOT_CFG=ROM

cat << __eof
Start to build redboot_${REDBOOT_CFG} for the ${TARGET} board
__eof
mkdir -p /tmp/${TARGET}/redboot_${REDBOOT_CFG} \
&& cd /tmp/${TARGET}/redboot_$REDBOOT_CFG \
&& ecosconfig new ${TARGET} redboot \
&& ecosconfig import ${ECOS_REPOSITORY}/hal/arm/lpc2xxx/${TARGET}/${VERSION}/misc/redboot_${REDBOOT_CFG}.ecm \
&& ecosconfig resolve \
&& ecosconfig tree \
&& make \
&& cat << __eof
The ${REDBOOT_CFG} redboot is built successfully for the $TARGET board
`ls -lR /tmp/${TARGET}/redboot_${REDBOOT_CFG}/install/bin`
__eof
