#! /bin/bash
#
# This script is used to build one of the eCos templates (libraries/tests) for
# the Olimex LPC-E2294 header board.
#
# Usage:
#	STARTUP_CFG={RAM,ROM} build_tests.sh ?templ_name?

# Warning: if you want to debug an uploded code to RAM via RedBoot+GDB, set
# properly the eCos CYGSEM_HAL_USE_ROM_MONITOR option, else comment that
# section (see below).


TARGET=lpce2294
DEFAULT=minimal

TEMPLATE=$DEFAULT
#VERSION=current
VERSION=v1_0

test -z $ECOS_REPOSITORY && source $HOME/ecos/ecosenv.sh

test -z $1 || TEMPLATE=$1
test -z $STARTUP_CFG && STARTUP_CFG=RAM

cat << __eof
Start to build ${TEMPLATE}_${STARTUP_CFG} for the ${TARGET} board
__eof
mkdir -p /tmp/${TARGET}/${TEMPLATE}_${STARTUP_CFG} \
&& cd /tmp/${TARGET}/${TEMPLATE}_$STARTUP_CFG 

cat > startup.ecm << __eof
cdl_component CYG_HAL_STARTUP {
    user_value ${STARTUP_CFG}
}

cdl_option CYGSEM_HAL_USE_ROM_MONITOR {
    inferred_value 0 0
};
__eof

ecosconfig new ${TARGET} ${TEMPLATE} \
&& ecosconfig import startup.ecm \
&& ecosconfig resolve \
&& ecosconfig tree \
&& make \
&& make tests \
&& cat << __eof
The ${TEMPLATE}_${STARTUP_CFG} is built successfully for the $TARGET board
`ls -lR /tmp/${TARGET}/${TEMPLATE}_${STARTUP_CFG}/install/tests`
__eof

