# This is a minicom script to ERASE, BLANK check the Philips LPC2294 on-chip
# non-volatile memory (an internal flash) using an on-chip monitor.
#
# Warning: the slide switches ICSP/RUN on the board should be set as showed on
# a figure. Set it and press a RST button (a reset) BEFORE a script invoking.
# 
#      | []|2
#   ON |[] |1
#
#   ICSP   RUN

timeout 10

# try to synchronize
sync:
	send "??????\c"
	expect {
		"Synchronized\r\n" break
		"?" goto sync
	}

send "Synchronized\r\n"
expect {
	"OK\r\n" break
	timeout 3 exit
}

# say about an oscillator freq
send "14746\r\n"
expect {
	"OK\r\n" break
	timeout 3 exit
}

# unlock
send "U 23130\r\n"
expect {
	"0\r\n" break
	timeout 3 exit
}

# prepare sectors
send "P 0 16\r\n"
expect {
	"0\r\n" break
	timeout 3 exit
}

# erase
send "E 0 16\r\n"
expect {
	"0\r\n" break
	timeout 3 exit
}

# prepare
send "P 0 16\r\n"
expect {
	"0\r\n" break
	timeout 3 exit
}

# blank
send "I 0 16\r\n"
