#! /bin/bash
#
# Use this script to update ecos.db, i.e. add/update a hal/arm/lpc2xxx/lpce2294
# branch.

MAJOR=1
MINOR=0
VERNUM="${MAJOR}.${MINOR}"

TARGET=LPCE2294
CYGPKG="CYGPKG_HAL_ARM_LPC2XXX_$TARGET"
CURRENT=/home/sg/ecoswork/epk/lpce2294
OUTCOPY=/tmp/lpce2294_epk_tmp

PKGNAME=lpce2294-${VERNUM}.epk

# FIX this list if need
filelist='pkgadd.db pkgadd.txt hal devs'

if [ ! -d ${CURRENT} ] ; then
	echo "Error: ${CURRENT} entry isn't exist"
	exit 1
fi

test -d ${OUTCOPY} && rm -fr ${OUTCOPY}
cp -a ${CURRENT} ${OUTCOPY}
find ${OUTCOPY} -type d -name current -printf "mv %p %h/v${MAJOR}_${MINOR}\n" | sh

test -z $ECOS_REPOSITORY && source ${HOME}/ecos/ecosenv.sh
ECOSADMIN="tclsh ${ECOS_REPOSITORY}/ecosadmin.tcl" 

echo "packing the eCos package $PKGNAME"
tar  czf ${PKGNAME} --exclude '*.bin' --exclude RCS --exclude '*~' --exclude '.*,v' -C ${OUTCOPY} $filelist

echo "putting the eCos package to ecos.db"
   $ECOSADMIN                  list | grep -q ${CYGPKG} \
&& $ECOSADMIN                  remove ${CYGPKG}

#  $ECOSADMIN --accept_license add ${PKGNAME}
   $ECOSADMIN add ${PKGNAME}

exit $?
